Learn how to join our server and start playing in 60 seconds!
Play Now
  • Hey Guest, If you have any suggestions regarding the Forums/Website we would love to hear them!

Denied Classic SkyBlock We need back 1.8.9 version we need the old classic skyblock first remove protection 6 protection 7 a

AlexandrosGR

Pika Member
Joined
Oct 6, 2020
Messages
34
Points
8
Minecraft Username:
AlexandrosGR​

Suggestion:
We need back 1.8.9 version we need the old classic skyblock first remove protection 6 protection 7 and protection 8 remove 1.16+ version add new gkits like santa kit and more remove netherite armor.And we need back outposts we need only a classic skyblock now classic skyblock is like opsky keep protection 1,2,3,4,5 and remove prot 6,7,8​

Detailed description:
Just change version we need back 1.8.9 and remove protection 6,7,8​

Reason(s):
 

itsdruglovexx

Great Reporter
Joined
Feb 9, 2020
Messages
629
Points
58
+1
This is so true. They changed all gamemodes to be for 1.14+ and im too lazy to close mc and reopen on different version. (I'd start using sigma for the epik version changer it has, dont ask me how i know about that)
Plus, they made it more unfair for newer players agaisnt older ones with good ranks.
U literally have no idea how the gamemodes are, all u said is buncha bs that is 0% logical.
 

TheDynamicGamer

The Pika
Joined
Dec 4, 2020
Messages
1,549
Points
88
U literally have no idea how the gamemodes are, all u said is buncha bs that is 0% logical.
Yes I do, I've played it so much the last season and I agree with what this suggestion is about, I just didn't try this seaston yet. I said the rank thing cuz pika as I know it, would've definately made that prot 7 or 8 Armor easily available through ranked kits for skygods or smthing and that would be unfair for newer players with no ranks. I said the 1.14+ thing cuz 1.9+ PvP sux
 

itsdruglovexx

Great Reporter
Joined
Feb 9, 2020
Messages
629
Points
58
Yes I do, I've played it so much the last season and I agree with what this suggestion is about, I just didn't try this seaston yet. I said the rank thing cuz pika as I know it, would've definately made that prot 7 or 8 Armor easily available through ranked kits for skygods or smthing and that would be unfair for newer players with no ranks. I said the 1.14+ thing cuz 1.9+ PvP sux
Dude please just don't cringe the hell out of u. Skygod and skykings are same, skyking gets more gapples, its same prot, same sword, its maxed. Prot 5. Not p2w. And no its not 1.14 pvp its 1.17, with shields swings and etc etc. There is cooldown on hits. Plus its just 2 gamemodes with 1.17 newest update, classic skyblock and survival. Only 2.
 

TheDynamicGamer

The Pika
Joined
Dec 4, 2020
Messages
1,549
Points
88
Dude please just don't cringe the hell out of u. Skygod and skykings are same, skyking gets more gapples, its same prot, same sword, its maxed. Prot 5. Not p2w. And no its not 1.14 pvp its 1.17, with shields swings and etc etc. There is cooldown on hits. Plus its just 2 gamemodes with 1.17 newest update, classic skyblock and survival. Only 2.
I don't know I don't even check those modes, just play bw and sw. Plus 1.14 PvP is almost same as 1.17. the main factor is hit cooldown
 

itsdruglovexx

Great Reporter
Joined
Feb 9, 2020
Messages
629
Points
58
I don't know I don't even check those modes, just play bw and sw. Plus 1.14 PvP is almost same as 1.17. the main factor is hit cooldown
The hit cooldown is much more broken, 1.15 pvp can be handled almost as normal +- shields. The hit cooldown is actually a critical hit when u hit it after the cooldown, u can keep on spamming with ur clicks but ull deal 0 damage. That's the actual difference.
 

Ninja_4685

Legendary Pika
Joined
Apr 16, 2021
Messages
287
Points
28
-1 it is one of the only gamemodes which work for 1.17 so like keep it
 

Ninja_4685

Legendary Pika
Joined
Apr 16, 2021
Messages
287
Points
28
+1 I agree Diamond armor is good and 1.16.5 dosent add anything extra in csb like opsb it should be 1.8.9
the fact that its actually only 1 of the 2 1.17 gamemodes and it's creative like opsb but in 1.17 and some other changes
 

MrEpiko

Staff Member
Admin
Joined
Oct 9, 2019
Messages
4,903
Points
103
+1
It's really obvious that ClassicSkyBlock's popularity fell after introducing 1.16. I know that new skins and texture packs look nice but still ClassicSkyBlock is not something what should be under 1.16 version.
 

Fireboy707

Banned
Joined
Jan 13, 2021
Messages
96
Points
28
Thank you for by making a suggestion!
I have reviewed your suggestion and decided to Upvote/+1 due to the following reasons:
Good idea
 

CrumblePI

Member
Joined
Nov 28, 2021
Messages
7
Points
1
Maybe it should be classified as a new mode like "SkyBlock classic 1.8" instead of removing the newer version. +1
 

itsdruglovexx

Great Reporter
Joined
Feb 9, 2020
Messages
629
Points
58
+1, BUT they shouldnt remove it , just two separate servers with 1.8.9 version and 1.16+
Maybe it should be classified as a new mode like "SkyBlock classic 1.8" instead of removing the newer version. +1
There is already op and classic skyblock and the OG classic skyblock is the 1.8.9. I see what u tryna say but it aint it. Plus its too much work for the devs and it needs some support for it to happen.
 

Zmaj5526

Member
Joined
Dec 12, 2020
Messages
16
Points
1
I agree, 1.8 was better and more fun. P6+ also has to be removed, i mean, its called classic skyblock for a reason, just like we dont have sharpness 6 we should'n have prot6/7/8. Protection 5 should be only in skygod and skyking because thats one of the main reasons people buy the ranks at the first place. If they didn't have that advantage they wouldnt really worth it.
so u saying it should be p2w? and also s6, s7 swords exists
 
Joined
Mar 24, 2021
Messages
21
Points
1
Minecraft Username:
AlexandrosGR

Suggestion:
We need back 1.8.9 version we need the old classic skyblock first remove protection 6 protection 7 and protection 8 remove 1.16+ version add new gkits like santa kit and more remove netherite armor.And we need back outposts we need only a classic skyblock now classic skyblock is like opsky keep protection 1,2,3,4,5 and remove prot 6,7,8

Detailed description:
Just change version we need back 1.8.9 and remove protection 6,7,8

Reason(s):
BOO it got more players since it was changed to 1.17 and i say pika needs to be balanced between 1.8.9 and 1.17 its just an absolute success thats why jartex skyblock fantasy was changed to 1.17 too there would be no fun there will be a dumb team that rules pvp and kills every new player making the p2w noobs IMMORTAL but in 1.17 its more skilled base and at least there is 2 fighting teams which is the point of pvp its not having god armour and farming nakeds this also makes hacks useless and also makes autoclickers pointless. so i say if u want to play 1.8.9 go play opskyb they r gonna be same p4 sharp5 pvp same as p14 sharp 20 pvp and leave us 1.17 pvpers a chance to have a fun gamemode #team1.9pvp. and we r humans learn to adapt to new things instead of complaining
 

itsdruglovexx

Great Reporter
Joined
Feb 9, 2020
Messages
629
Points
58
BOO it got more players since it was changed to 1.17 and i say pika needs to be balanced between 1.8.9 and 1.17 its just an absolute success thats why jartex skyblock fantasy was changed to 1.17 too there would be no fun there will be a dumb team that rules pvp and kills every new player making the p2w noobs IMMORTAL but in 1.17 its more skilled base and at least there is 2 fighting teams which is the point of pvp its not having god armour and farming nakeds this also makes hacks useless and also makes autoclickers pointless. so i say if u want to play 1.8.9 go play opskyb they r gonna be same p4 sharp5 pvp same as p14 sharp 20 pvp and leave us 1.17 pvpers a chance to have a fun gamemode #team1.9pvp. and we r humans learn to adapt to new things instead of complaining
Its not all about the pvp you know, farming and grinding is affected by this version. Us top islands dont rlly care much for the pvp. We care about our income, which comes from auto farms and grinding. Plus its a suggestion not a complaint.
 

IamBokii

Epic Pika
Joined
May 8, 2021
Messages
106
Points
18
+1
This is idea sounds great of bringing back 1.8.9 Minecraft version, 1.14 and up versions are better for something like Survival because of changes in PvP. Example: In 1.8.9 is better PvP because of comboing and its better FPS, in 1.14 and up versions there some changes that are so bad for SkyBlock, like critical hitting, need better PC for FPS that you need...
Best regards!
Bokii
 

Max

Staff Member
Owner
Joined
May 30, 2016
Messages
4,082
Points
221
Suggestion - DENIED

Hello AlexandrosGR,

Thank you for your interest in PikaNetwork by creating a suggestion for the network.
Unfortunately, I will be denying your suggestion at this time.

Have fun playing on PikaNetwork

Good afternoon,
Max
 
Top